package com.hzya.frame.grpU8.nxproof.glZtcs.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.glZtcs.dao.ISenderGlZtcsDao;
import com.hzya.frame.grpU8.nxproof.glZtcs.entity.SenderGlZtcsEntity;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * (GlZtcs)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 09:45:03
 */
@Repository(value = "SenderGlZtcsDaoImpl")
public class SenderGlZtcsDaoImpl extends MybatisGenericDao<SenderGlZtcsEntity, String> implements ISenderGlZtcsDao {

    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public List<SenderGlZtcsEntity> querySenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.queryByLike(senderGlZtcsEntity);
    }
    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public SenderGlZtcsEntity saveSenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.save(senderGlZtcsEntity);
    }
    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public SenderGlZtcsEntity updateSenderGlZtcsEntity(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.update(senderGlZtcsEntity);
    }

    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public List<SenderGlZtcsEntity> queryGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.query(senderGlZtcsEntity);
    }

    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public SenderGlZtcsEntity saveGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.save(senderGlZtcsEntity);
    }

    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public SenderGlZtcsEntity updateGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.update(senderGlZtcsEntity);
    }

    @Override
    @DS("#senderGlZtcsEntity.dataSourceCode")
    public Integer deleteGlZtcsHealthBureau(SenderGlZtcsEntity senderGlZtcsEntity) {
        return super.delete("SenderGlZtcsEntity_delete_ztcs",senderGlZtcsEntity);
    }
}

